Error when installing setup file for Code warrior

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Error when installing setup file for Code warrior

861 Views
ngyb
Contributor I

Subject: Error when installing setup file for Code warrior
Description: I encountered a error when running the installation file for
CodeWarrior for Microcontrollers - Professional Edition version 6.3.
The error is cannot support 64 bit system. Is there any solution for this?
Please help to advise. Thanks

0 Kudos
Reply
5 Replies

750 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

Hi

CW for MCU classic IDE v6.3 supports 32bit system only. It can't support 64bit system. We can see this limitation mentioned in its homepage, under "system requirements"

http://www.nxp.com/products/software-and-tools/software-development-tools/codewarrior-development-to... 

If you use HCS08 device, I suggest you use CW10.7 instead. It supports 64bit system well.

http://www.nxp.com/products/software-and-tools/software-development-tools/codewarrior-development-to... 


Have a great day,
Jennie Zhang

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos
Reply

750 Views
ngyb
Contributor I

Hi Jennie,

I found that I need to purchase 10.7 seperately (not part of my purchase

package)

Is there any workaround solution or is there any other version that can be

used for 64 bit windows?

Can the version 7.2 work?

Codewarrior Development Studio, ColdFire Professional Edition WIN

Please advise. Thanks

Best Regards

Yewbeng

From:

ZhangJennie <admin@community.nxp.com>

To:

NG Yew Beng/Asst Prin Engr-KDM/DBG/ST Kinetics@ST Engineering

Date:

Tue 23 May 2017 10:33 AM

Subject:

Re: - Re: Error when installing setup file

for Code warrior

NXP Community

Re: Error when installing setup file for Code warrior

reply from ZhangJennie in CodeWarrior Development Tools - View the full

discussion

Hi

CW for MCU classic IDE v6.3 supports 32bit system only. It can't support

64bit system. We can see this limitation mentioned in its homepage, under

"system requirements"

http://www.nxp.com/products/software-and-tools/software-development-tools/codewarrior-development-to...?

If you use HCS08 device, I suggest you use CW10.7 instead. It supports

64bit system well.

http://www.nxp.com/products/software-and-tools/software-development-tools/codewarrior-development-to...?

Have a great day,

Jennie Zhang

0 Kudos
Reply

750 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

Hi Ng,

Here is a workaround provided by our customer.

https://community.nxp.com/message/310577 

You can refer it,  but officially NXP can't provide technical support for it.

Our official recommendation is to use CW10.x on 64bit win7.


Have a great day,
Jennie Zhang

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos
Reply

750 Views
ngyb
Contributor I

Hi Jennie,

Thanks

Best Regards

Yewbeng

From:

ZhangJennie <admin@community.nxp.com>

To:

NG Yew Beng/Asst Prin Engr-KDM/DBG/ST Kinetics@ST Engineering

Date:

Tue 23 May 2017 03:07 PM

Subject:

Re: - Re: Error when installing setup file

for Code warrior

NXP Community

Re: Error when installing setup file for Code warrior

reply from ZhangJennie in CodeWarrior Development Tools - View the full

discussion

Hi Ng,

Here is a workaround provided by our customer.

How-to Directly Install CodeWarrior 6.3 Classic in Windows 7 & 10 x64

(Unofficial Method)

You can refer it, but officially NXP can't provide technical support for

it.

Our official recommendation is to use CW10.x on 64bit win7.

Have a great day,

Jennie Zhang

0 Kudos
Reply

750 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

You are welcome.

Jennie Zhang.

0 Kudos
Reply